LinuxQMISDK: setSignalStrengthInfo Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
setSignalStrengthInfo Struct Reference

## Data Fields
CDMARSSIThresh * | pCDMARSSIThresh
WORD * | pCDMARSSIDelta
CDMAECIOThresh * | pCDMAECIOThresh
WORD * | pCDMAECIODelta
HDRRSSIThresh * | pHDRRSSIThresh
WORD * | pHDRRSSIDelta
HDRECIOThresh * | pHDRECIOThresh
WORD * | pHDRECIODelta
HDRSINRThreshold * | pHDRSINRThresh
WORD * | pHDRSINRDelta
HDRIOThresh * | pHDRIOThresh
WORD * | pHDRIODelta
GSMRSSIThresh * | pGSMRSSIThresh
WORD * | pGSMRSSIDelta
WCDMARSSIThresh * | pWCDMARSSIThresh
WORD * | pWCDMARSSIDelta
WCDMAECIOThresh * | pWCDMAECIOThresh
WORD * | pWCDMAECIODelta
LTERSSIThresh * | pLTERSSIThresh
WORD * | pLTERSSIDelta
LTESNRThreshold * | pLTESNRThresh
WORD * | pLTESNRDelta
LTERSRQThresh * | pLTERSRQThresh
WORD * | pLTERSRQDelta
LTERSRPThresh * | pLTERSRPThresh
WORD * | pLTERSRPDelta
LTESigRptConfig * | pLTESigRptConfig
TDSCDMARSCPThresh * | pTDSCDMARSCPThresh
WORD * | pTDSCDMARSCPDelta
TDSCDMARSSIThresh * | pTDSCDMARSSIThresh
ULONG * | pTDSCDMARSSIDelta
TDSCDMAECIOThresh * | pTDSCDMAECIOThresh
ULONG * | pTDSCDMAECIODelta
TDSCDMASINRThresh * | pTDSCDMASINRThresh
ULONG * | pTDSCDMASINRDelta

## Detailed Description

This structure contains the Signal Strength reporting thresholds Item information.

Parameters

  pCDMARSSIThresh | CDMA RSSI threshold List See CDMARSSIThresh for more details
  pCDMARSSIDelta | RSSI delta (in units of 0.1 dBm). A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pCDMAECIOThresh | CDMA ECIO Threshold List See CDMAECIOThresh for more details
  pCDMAECIODelta | ECIO delta (in units of 0.1 dB). A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pHDRRSSIThresh | HDR RSSI Threshold List See HDRRSSIThresh for more details
  pHDRRSSIDelta | RSSI delta (in units of 0.1 dBm) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pHDRECIOThresh | HDR ECIO Threshold List See HDRECIOThresh for more details
  pHDRECIODelta | ECIO delta (in units of 0.1 dB) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pHDRSINRThresh | HDR SINR Threshold List See HDRSINRThreshold for more details
  pHDRSINRDelta | SINR delta (in units of 1 SINR level) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pHDRIOThresh | HDR IO Threshold List See HDRIOThresh for more details
  pHDRIODelta | IO delta (in units of 0.1 dBm) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pGSMRSSIThresh | GSM RSSI Threshold List See GSMRSSIThresh for more details
  pGSMRSSIDelta | RSSI delta (in units of 0.1 dBm) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pWCDMARSSIThresh | WCDMA RSSI Threshold List See WCDMARSSIThresh for more details
  pWCDMARSSIDelta | RSSI delta (in units of 0.1 dBm). A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pWCDMAECIOThresh | WCDMA ECIO Threshold List See WCDMAECIOThresh for more details
  pWCDMAECIODelta | ECIO delta (in units of 0.1 dB) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pLTERSSIThresh | LTE RSSI Threshold List See LTERSSIThresh for more details
  pLTERSSIDelta | RSSI delta (in units of 0.1 dBm) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pLTESNRThresh | LTE SNR Threshold List See LTESNRThreshold for more details
  pLTESNRDelta | SNR delta (in units of 0.1 dBm) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pLTERSRQThresh | LTE RSRQ Threshold List See LTERSRQThresh for more details
  pLTERSRQDelta | RSRQ delta (in units of 0.1 dBm) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pLTERSRPThresh | LTE RSRP Threshold List See LTERSRPThresh for more details
  pLTERSRPDelta | RSRP delta (in units of 0.1 dBm). A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pLTESigRptConfig | LTE Signal Report Config See LTESigRptConfig for more details
  pTDSCDMARSCPThresh | TDSCDMA RSCP Threshold List See TDSCDMARSCPThresh for more details
  pTDSCDMARSCPDelta | RSCP delta (in units of 0.1 dBm) A value of 0 is rejected with a QMI_ERR_INVALID_ARG error.
  pTDSCDMARSSIThresh | TDSCDMA RSSI Threshold List See TDSCDMARSSIThresh for more details
  pTDSCDMARSSIDelta | RSSI delta (in dBm) used by TD-SCDMA.
  pTDSCDMAECIOThresh | TDSCDMA ECIO Threshold List See TDSCDMAECIOThresh for more details
  pTDSCDMAECIODelta | ECIO delta (in dB) used by TD-SCDMA
  pTDSCDMASINRThresh | TDSCDMA SINR Threshold List See TDSCDMASINRThresh for more details
  pTDSCDMASINRDelta | SINR delta (in dB) used by TD-SCDMA.

## Field Documentation

WORD* setSignalStrengthInfo::pCDMAECIODelta

CDMAECIOThresh* setSignalStrengthInfo::pCDMAECIOThresh

WORD* setSignalStrengthInfo::pCDMARSSIDelta

CDMARSSIThresh* setSignalStrengthInfo::pCDMARSSIThresh

WORD* setSignalStrengthInfo::pGSMRSSIDelta

GSMRSSIThresh* setSignalStrengthInfo::pGSMRSSIThresh

WORD* setSignalStrengthInfo::pHDRECIODelta

HDRECIOThresh* setSignalStrengthInfo::pHDRECIOThresh

WORD* setSignalStrengthInfo::pHDRIODelta

HDRIOThresh* setSignalStrengthInfo::pHDRIOThresh

WORD* setSignalStrengthInfo::pHDRRSSIDelta

HDRRSSIThresh* setSignalStrengthInfo::pHDRRSSIThresh

WORD* setSignalStrengthInfo::pHDRSINRDelta

HDRSINRThreshold* setSignalStrengthInfo::pHDRSINRThresh

WORD* setSignalStrengthInfo::pLTERSRPDelta

LTERSRPThresh* setSignalStrengthInfo::pLTERSRPThresh

WORD* setSignalStrengthInfo::pLTERSRQDelta

LTERSRQThresh* setSignalStrengthInfo::pLTERSRQThresh

WORD* setSignalStrengthInfo::pLTERSSIDelta

LTERSSIThresh* setSignalStrengthInfo::pLTERSSIThresh

LTESigRptConfig* setSignalStrengthInfo::pLTESigRptConfig

WORD* setSignalStrengthInfo::pLTESNRDelta

LTESNRThreshold* setSignalStrengthInfo::pLTESNRThresh

ULONG* setSignalStrengthInfo::pTDSCDMAECIODelta

TDSCDMAECIOThresh* setSignalStrengthInfo::pTDSCDMAECIOThresh

WORD* setSignalStrengthInfo::pTDSCDMARSCPDelta

TDSCDMARSCPThresh* setSignalStrengthInfo::pTDSCDMARSCPThresh

ULONG* setSignalStrengthInfo::pTDSCDMARSSIDelta

TDSCDMARSSIThresh* setSignalStrengthInfo::pTDSCDMARSSIThresh

ULONG* setSignalStrengthInfo::pTDSCDMASINRDelta

TDSCDMASINRThresh* setSignalStrengthInfo::pTDSCDMASINRThresh

WORD* setSignalStrengthInfo::pWCDMAECIODelta

WCDMAECIOThresh* setSignalStrengthInfo::pWCDMAECIOThresh

WORD* setSignalStrengthInfo::pWCDMARSSIDelta

WCDMARSSIThresh* setSignalStrengthInfo::pWCDMARSSIThresh